# This file created by conda-build 3.28.4
# meta.yaml template originally from:
# /var/folders/c_/qfmhj66j0tn016nkx_th4hxm0000gp/T/abs_acrgvxlmc8/clone/recipe, last modified Mon Jan 29 08:46:04 2024
# ------------------------------------------------

package:
  name: panel
  version: 1.3.8
source:
  sha256: 809afd2b861747a31d6ddaadbbc7c25b8dab392dc78256f68b759214113c5be3
  url: https://pypi.io/packages/source/p/panel/panel-1.3.8.tar.gz
build:
  entry_points:
    - panel = panel.command:main
  number: '0'
  script:
    - /var/folders/c_/qfmhj66j0tn016nkx_th4hxm0000gp/T/abs_acrgvxlmc8/croot/panel_1706539573796/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
      -m pip install . -vv  --no-deps --no-build-isolation
  string: py310hecd8cb5_0
requirements:
  host:
    - blas 1.0 mkl
    - bokeh 3.3.0 py310h20db666_0
    - bottleneck 1.3.5 py310h4e76f89_0
    - brotli-python 1.0.9 py310he9d5cce_7
    - bzip2 1.0.8 h1de35cc_0
    - ca-certificates 2023.12.12 hecd8cb5_0
    - certifi 2023.11.17 py310hecd8cb5_0
    - cffi 1.16.0 py310h6c40b1e_0
    - charset-normalizer 2.0.4 pyhd3eb1b0_0
    - contourpy 1.2.0 py310ha357a0b_0
    - cryptography 41.0.7 py310h30e54ef_0
    - freetype 2.12.1 hd8bbffd_0
    - giflib 5.2.1 h6c40b1e_3
    - icu 73.1 hcec6c5f_0
    - idna 3.4 py310hecd8cb5_0
    - intel-openmp 2023.1.0 ha357a0b_43548
    - jinja2 3.1.2 py310hecd8cb5_0
    - jpeg 9e h6c40b1e_1
    - lcms2 2.12 hf1fd2bf_0
    - lerc 3.0 he9d5cce_0
    - libcxx 14.0.6 h9765a3e_0
    - libdeflate 1.17 hb664fd8_1
    - libffi 3.4.4 hecd8cb5_0
    - libpng 1.6.39 h6c40b1e_0
    - libtiff 4.5.1 hcec6c5f_0
    - libuv 1.44.2 h6c40b1e_0
    - libwebp 1.3.2 hf6ce154_0
    - libwebp-base 1.3.2 h6c40b1e_0
    - lz4-c 1.9.4 hcec6c5f_0
    - markupsafe 2.1.3 py310h6c40b1e_0
    - mkl 2023.1.0 h8e150cf_43560
    - mkl-service 2.4.0 py310h6c40b1e_1
    - mkl_fft 1.3.8 py310h6c40b1e_0
    - mkl_random 1.2.4 py310ha357a0b_0
    - ncurses 6.4 hcec6c5f_0
    - nodejs 18.16.0 he8a3799_1
    - numexpr 2.8.7 py310h827a554_0
    - numpy 1.26.3 py310h827a554_0
    - numpy-base 1.26.3 py310ha186be2_0
    - openjpeg 2.4.0 h66ea3da_0
    - openssl 3.0.12 hca72f7f_0
    - packaging 23.1 py310hecd8cb5_0
    - pandas 2.1.4 py310h3ea8b11_0
    - param 2.0.2 py310hecd8cb5_0
    - pillow 10.0.1 py310h7d39338_0
    - pip 23.3.1 py310hecd8cb5_0
    - pycparser 2.21 pyhd3eb1b0_0
    - pyct 0.5.0 py310hecd8cb5_0
    - pyopenssl 23.2.0 py310hecd8cb5_0
    - pysocks 1.7.1 py310hecd8cb5_0
    - python 3.10.13 h5ee71fb_0
    - python-dateutil 2.8.2 pyhd3eb1b0_0
    - python-tzdata 2023.3 pyhd3eb1b0_0
    - pytz 2023.3.post1 py310hecd8cb5_0
    - pyviz_comms 3.0.0 py310hecd8cb5_0
    - pyyaml 6.0.1 py310h6c40b1e_0
    - readline 8.2 hca72f7f_0
    - requests 2.31.0 py310hecd8cb5_0
    - setuptools 68.2.2 py310hecd8cb5_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.41.2 h6c40b1e_0
    - tbb 2021.8.0 ha357a0b_0
    - tk 8.6.12 h5d9f67b_0
    - tornado 6.3.3 py310h6c40b1e_0
    - tqdm 4.65.0 py310h20db666_0
    - tzdata 2023d h04d1e81_0
    - urllib3 1.26.18 py310hecd8cb5_0
    - wheel 0.41.2 py310hecd8cb5_0
    - xyzservices 2022.9.0 py310hecd8cb5_1
    - xz 5.4.5 h6c40b1e_0
    - yaml 0.2.5 haf1e3a3_0
    - zlib 1.2.13 h4dc903c_0
    - zstd 1.5.5 hc035e20_0
  run:
    - bleach
    - bokeh >=3.2.0,<3.4
    - linkify-it-py
    - markdown
    - markdown-it-py
    - mdit-py-plugins
    - packaging
    - pandas >=1.2
    - param >=2.0.0,<3
    - python >=3.10,<3.11.0a0
    - pyviz_comms >=2.0.0
    - requests
    - tqdm >=4.48.0
    - typing_extensions
  run_constrained:
    - holoviews >=1.17.0
test:
  commands:
    - pip check
    - panel --help
  imports:
    - panel
    - panel.io
  requires:
    - pip
about:
  description: 'Panel provides tools for easily composing widgets, plots, tables,
    and other

    viewable objects and controls into control panels, apps, and dashboards.

    '
  dev_url: https://github.com/holoviz/panel
  doc_url: https://panel.holoviz.org/
  home: https://panel.holoviz.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: The powerful data exploration & web app framework for Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: ac0f7498-c07d-49ab-be10-c8c5f3f6bd75
  recipe-maintainers:
    - philippjfr
  remote_url: git@github.com:AnacondaRecipes/panel-feedstock.git
  sha: fbf3500ed0514ea6fe322df450ac9a423e85a4d4
  skip-lints:
    - host_section_needs_exact_pinnings
    - python_build_tool_in_run
